Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.perforce
Class P4HandlerAdapter

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.perforce.P4HandlerAdapter

All Implemented Interfaces:
  ExecuteStreamHandler, P4Handler

Direct Known Subclasses:
  SimpleP4OutputHandler

public abstract class P4HandlerAdapter
extends java.lang.Object
implements P4Handler

Constructor Summary
`P4HandlerAdapter()`

Method Summary
`abstract void` | `process(java.lang.String line)`
`void` | `setOutput(java.lang.String p4Input)`
`void` | `setProcessErrorStream(java.io.InputStream is)` Install a handler for the error stream of the subprocess.
`void` | `setProcessInputStream(java.io.OutputStream os)` Install a handler for the input stream of the subprocess.
`void` | `setProcessOutputStream(java.io.InputStream is)` Install a handler for the output stream of the subprocess.
`void` | `start()` Start handling of the streams.
`void` | `stop()` Stop handling of the streams - will not be restarted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P4HandlerAdapter

    public P4HandlerAdapter()

Method Detail

### process

    public abstract void process(java.lang.String line)

  Specified by:
    `process` in interface `P4Handler`

### setOutput

    public void setOutput(java.lang.String p4Input)

  Specified by:
    `setOutput` in interface `P4Handler`

### start

    public void start()
               throws BuildException

  Description copied from interface: `ExecuteStreamHandler`
  Start handling of the streams.
  Specified by:
    `start` in interface `ExecuteStreamHandler`

### setProcessInputStream

    public void setProcessInputStream(java.io.OutputStream os)
                               throws java.io.IOException

  Description copied from interface: `ExecuteStreamHandler`
  Install a handler for the input stream of the subprocess.
  Specified by:
    `setProcessInputStream` in interface `ExecuteStreamHandler`
  Following copied from interface: `org.apache.tools.ant.taskdefs.ExecuteStreamHandler`
  Parameters:
    `os` - output stream to write to the standard input stream of the subprocess

### setProcessErrorStream

    public void setProcessErrorStream(java.io.InputStream is)
                               throws java.io.IOException

  Description copied from interface: `ExecuteStreamHandler`
  Install a handler for the error stream of the subprocess.
  Specified by:
    `setProcessErrorStream` in interface `ExecuteStreamHandler`
  Following copied from interface: `org.apache.tools.ant.taskdefs.ExecuteStreamHandler`
  Parameters:
    `is` - input stream to read from the error stream from the subprocess

### setProcessOutputStream

    public void setProcessOutputStream(java.io.InputStream is)
                                throws java.io.IOException

  Description copied from interface: `ExecuteStreamHandler`
  Install a handler for the output stream of the subprocess.
  Specified by:
    `setProcessOutputStream` in interface `ExecuteStreamHandler`
  Following copied from interface: `org.apache.tools.ant.taskdefs.ExecuteStreamHandler`
  Parameters:
    `is` - input stream to read from the error stream from the subprocess

### stop

    public void stop()

  Description copied from interface: `ExecuteStreamHandler`
  Stop handling of the streams - will not be restarted.
  Specified by:
    `stop` in interface `ExecuteStreamHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.